package org.springblade.sms.bean.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 短信模版
 * 
 * @author William
 * @date 2022年11月11日 上午12:09:45
 */
@Data
@TableName("ads_market_sms_template")
@ApiModel(value = "AdsMarketSmsTemplate", description = "短信模版")
public class AdsMarketSmsTemplate implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键(更新时必填)")
	@TableId(type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty(value = "模板名称", required = true)
	private String name;

	/** 
	 * 模版内容 
	 * 1、变量格式：${name}、${content}等，中间字母应代表变量属性；
	 * 2、不支持【】，会与签名混淆；
	 * 3、模板内容只支持这些符号：~!@#$%&*（），。？,。+{}_-=￥……^。
	 */
	@ApiModelProperty(value = "模版内容(长度为1~500个字符)", required = true)
	private String content;

	@ApiModelProperty(value = "短信模版变量Json，格式：[{attrCode:'变量占位符',attrName:'变量名称'}]")
	private String attrJson;

	@ApiModelProperty(value = "联通模板ID(无需传递)", required = false)
	private String contentId;

	@ApiModelProperty(value = "短信渠道ID(无需传递)", required = false)
	private String smsId;

	@ApiModelProperty(value = "短信签名(仅在选择数字类型时传递)", required = false)
	private String smsSign;

	@ApiModelProperty(value = "短信类型（0-通知，1-文本，2-数字）", required = true)
	private Integer smsType;

	@ApiModelProperty(value = "数字短信附件路径", required = false)
	private String attachment;

	@ApiModelProperty(value = "审核状态(无需传递)（0：待审核，1：成功，-1：失败）", required = false)
	private Integer checkStatus;

	@ApiModelProperty(value = "审核时间(无需传递)", required = false)
	private Date checkTime;

	@ApiModelProperty(value = "审核结果说明(无需传递)", required = false)
	private String checkRemark;

	@ApiModelProperty(value = "创建人ID(无需传递)", required = false)
	private Long createUserId;

	@ApiModelProperty(value = "创建人(无需传递)", required = false)
	private String createUserName;

	@ApiModelProperty(value = "创建时间(无需传递)", required = false)
	private Date createTime;
	
	@ApiModelProperty(value = "备注", required = false)
	private String remark;

}
