package org.springblade.sms.bean.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 短链接映射表实体类
 * 
 * @author William
 * @date 2022年11月11日 上午12:39:14
 */
@Data
@SuppressWarnings("serial")
public class AdsMarketTaskInfoUrl implements Serializable {

	@TableId(type = IdType.AUTO)
	@JsonSerialize(using=ToStringSerializer.class)
	private Long urlId;
	
	@ApiModelProperty("短链接编码")
	private String code;

	@ApiModelProperty("真实链接")
	private String realUrl;

	@ApiModelProperty("创建时间[新增修改无需传递]")
	private Date createTime;
	
}
