package org.springblade.sms.bean.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分页查询任务参数
 *
 * @Author：william
 * @Date：2022/6/8
 */
@Data
public class TaskPageParam {
	@ApiModelProperty("当前页")
	private Integer current;
	
	@ApiModelProperty("每页的数量")
	private Integer size;

	@ApiModelProperty("任务名称")
	private String missionName;

	@ApiModelProperty("人群名称")
	private String groupName;

	@ApiModelProperty("次序批号")
	private String sortNo;

	@ApiModelProperty("创建人")
	private String creater;

	@ApiModelProperty("审核人")
	private String checkUserName;

	@ApiModelProperty("审核状态：-1：审核未通过（作废）；0-待审核；1-审核通过；")
	private Integer checkStatus;

	public Integer getCurrent() {
		return current == null || current < 1 ? 1 : current;
	}

	public Integer getSize() {
		return size == null || size < 1 ? 10 : size;
	}
}
