package org.springblade.sms.bean.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springblade.sms.bean.dto.AdsMarketTaskInfoChecker;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author：william
 * @Date：2022/6/8
 */
@Data
public class MarketTaskVo implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("任务ID")
	private Long taskId;

	@ApiModelProperty("次序批号")
	private String sortNo;

	@ApiModelProperty("草稿状态：0-草稿；1-非草稿；")
	private Integer draftStaus;

	@ApiModelProperty("审核状态：-1：审核未通过（作废）；0-待审核；1-审核通过；")
	private Integer checkStatus;

	@ApiModelProperty("人群id")
	private String groupId;

	@ApiModelProperty("人群名称")
	private String groupName;

	@ApiModelProperty("人群类型：1-标签；2-导入")
	private Integer groupType;
	
	@ApiModelProperty(value = "人群种类：1-动态人群；2-静态人群", required = true)
	private Integer groupSort;

	@ApiModelProperty("任务名称")
	private String missionName;

	@ApiModelProperty("消息内容")
	private String messageInfo;

	@ApiModelProperty("模版ID")
	private Long tplInfoId;

	@ApiModelProperty("渠道ID")
	private String channelId;

	@ApiModelProperty(value = "变量属性Json，格式如：[{attrCode:'<模版属性code>', attrValue:'', defValue:<查找不到数据时的默认值>, attrType: <1-输入框；2-动态字段>, field:'动态字段名',desens:<是否脱敏>}]")
	private String attrJson;

	@ApiModelProperty("推送形式[1-立即推送/2-定时推送/3-周期性推送]")
	private Integer pushPattern;

	// 推送开始时间
	@ApiModelProperty("推送时间[pushPattern=2传递]")
	private Date pushTime;

	@ApiModelProperty("推送状态(0-待推送/1-正在推送/2-已完成)")
	private Integer pushStatus;

	@ApiModelProperty("目标人群数量[新增修改无需传递]")
	private Long targetGroupNumber;

	@ApiModelProperty("推送数量[新增修改无需传递]")
	private Long pushNumber;

	@ApiModelProperty(value = "带占位符的原始链接", required = false)
	private String originUrl;

	@ApiModelProperty(value = "任务属性类型(1-激活类,2-营销类,3-领取类)", required = true)
	private Integer taskType;

	@ApiModelProperty(value = "短信类型（0-通知，1-文本，2-数字）", required = true)
	private Integer smsType;

	@ApiModelProperty(value = "短信任务失败说明[无需传递]", required = false)
	private String errorInfo;

	// 创建人
	@ApiModelProperty(value = "创建人[新增修改无需传递]", required = false)
	private String creater;

	// 创建时间
	@ApiModelProperty(value = "创建时间[新增修改无需传递]", required = false)
	private Date addTime;

	// 推送开始时间
	@ApiModelProperty(value = "周期开始时间[pushPattern=3时必传]，格式：yyyy-MM-dd HH:mm:ss", required = false)
	private Date cycleStartTime;

	// 推送开始时间
	@ApiModelProperty(value = "周期截止时间[pushPattern=3时必传]，格式：yyyy-MM-dd HH:mm:ss", required = false)
	private Date cycleEndTime;
	
	@ApiModelProperty(value = "周期类型(1-天,2-周,3-月)[pushPattern=3时必传", required = false)
	private Integer cycleType;
	
	@ApiModelProperty(value = "发送时间（24小时进制，分时秒去掉冒号），示例：213020，若是时间是上午，第一位的0可忽略)[pushPattern=3时必传]", required = false)
	private Integer cycleSendTime;
	
	@ApiModelProperty(value = "周几（每周的第一天从周日算，示例：1代表周日，依次类推）[pushPattern=3时必传]", required = false)
	private Integer cycleWeek;
	
	@ApiModelProperty(value = "每月的几号(1~31)[pushPattern=3时必传]", required = false)
	private Integer cycleDayOfMonth;

	@ApiModelProperty("审核人列表") 
	private List<AdsMarketTaskInfoChecker> checkers;
}
