package org.springblade.sms.controller;

import java.io.IOException;

import javax.servlet.http.HttpServletResponse;

import org.springblade.sms.component.ShortLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.util.StrUtil;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 短链接访问接口，会重定向
 * 
 * @author William
 * @date 2022年11月10日 上午11:24:57
 */
@ApiIgnore
@RestController
@RequestMapping("/d")
public class AdsMarketRedirectController {

	@Autowired
	private ShortLinkService shortLinkService;

	/**
	 *
	 * @param code 短链接编码
	 * @throws IOException
	 */
	@GetMapping("/{code}")
	public void goShortUrl(HttpServletResponse response, @PathVariable("code") String code) throws IOException {
		String realUrl = shortLinkService.getRealUrl(code);
		if (!StrUtil.isEmpty(realUrl)) {
//			response.sendRedirect(URLDecoder.decode(realUrl, "UTF-8"));
			response.sendRedirect(realUrl);
		}
	}
}
