package org.springblade.sms.enums;

/**
 * 推送方式
 * 
 * @author William
 * @date 2022年11月11日 上午12:46:51
 */
public enum SmsPushPattern {

	inTime(1, "立即推送"), 
	
	atTime(2, "定时推送"),
	
	cycleTime(3, "周期性推送");

	private Integer value;
	private String message;

	private SmsPushPattern(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static SmsPushPattern reslove(Integer value) {
		SmsPushPattern[] values = SmsPushPattern.values();
		for (SmsPushPattern val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
