package org.springblade.sms.kafka;

import java.util.concurrent.TimeUnit;

import javax.annotation.Resource;

import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson2.JSON;

import lombok.extern.slf4j.Slf4j;

/**
 * Kafka生产者
 *
 * @Author：william
 * @Date：2022/5/30
 */
@Slf4j
@Service
public class PushTaskProducer {
	@Resource
	private KafkaTemplate<String, Object> kafkaTemplate;

	public void smsSpid(String mobile, String spid) {
		log.info("PushTaskProducer::**********************");
		log.info("PushTaskProducer::send spid sms to karfka,mobile is " + mobile);
		kafkaTemplate.send(KafkaTopic.active_spid.name(), mobile, spid);
	}

	public void sms(SmsDataKafka smsData) {
		log.info("PushTaskProducer::**********************");
		log.info("PushTaskProducer::send sms task to karfka,mobile is " + smsData.getMobile());
		kafkaTemplate.send(KafkaTopic.sms.name(), JSON.toJSONString(smsData));
	}

	/**
	 * @param mobile
	 * @param smsBizId
	 * @param times    查询次数
	 */
	public void smsStatus(SmsStatusKafka data) {
		new Thread(() -> {
			try {
				TimeUnit.SECONDS.sleep(1);
			} catch (Exception e) {
			}
			kafkaTemplate.send(KafkaTopic.sms_status.name(), JSON.toJSONString(data));
		}).start();
	}

}
