package org.springblade.sms.mapper.clickhouse;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 自定义人群
 * 
 * @author William
 * @date 2022年11月14日 上午11:34:44
 */
public interface CubeGroupMapper extends BaseMapper<JSONObject> {

	@Select("select distinct ${phoneColumn}\r\n"//
			+ "from ${tableName}\r\n"//
			+ "where the_value = #{timeZone}\r\n"//
			+ "${sqlLimit}") //
	public List<String> getPhoneList(@Param(value = "phoneColumn") String phoneColumn,
			@Param(value = "tableName") String tableName, @Param(value = "timeZone") String timeZone,
			@Param(value = "sqlLimit") String sqlLimit);

	@Select("select count(distinct ${phoneColumn})\r\n"//
			+ "from ${tableName}\r\n"//
			+ "where the_value = #{timeZone}\r\n") //
	public long getPhoneTotal(@Param(value = "phoneColumn") String phoneColumn,
			@Param(value = "tableName") String tableName, @Param(value = "timeZone") String timeZone);

	@Select("select *\r\n"//
			+ "from ${tableName}\r\n"//
			+ "where the_value = #{timeZone}\r\n" //
			+ "and ${phoneColumn} = #{phone}\r\n") //
	public List<JSONObject> getValueByColumn(@Param(value = "tableName") String tableName,
			@Param(value = "timeZone") String timeZone, @Param(value = "phoneColumn") String phoneColumn,
			@Param(value = "phone") String phone);
}