package org.springblade.sms.service;

import org.springblade.sms.bean.dto.AdsMarketTaskInfoUrlCodeGenerator;
import org.springblade.sms.mapper.AdsMarketTaskInfoUrlCodeGeneratorMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.extern.slf4j.Slf4j;

/**
 * 短链接发号器
 * 
 * @author William
 * @date 2022年11月11日 上午12:41:57
 */
@Slf4j
@Service
@DS("user_analysis_db")
public class AdsMarketTaskInfoUrlCodeGeneratorService
		extends ServiceImpl<AdsMarketTaskInfoUrlCodeGeneratorMapper, AdsMarketTaskInfoUrlCodeGenerator> {

	public Long getCodeNum() {
		LambdaQueryWrapper<AdsMarketTaskInfoUrlCodeGenerator> wrapper = Wrappers
				.lambdaQuery(AdsMarketTaskInfoUrlCodeGenerator.class).last("limit 0,1");
		AdsMarketTaskInfoUrlCodeGenerator code = getOne(wrapper);
		if (code == null) {
			code = new AdsMarketTaskInfoUrlCodeGenerator();
			code.setCodeNum(1l);
		} else {
			code.setCodeNum(code.getCodeNum() + 1);
		}
		boolean flag = saveOrUpdate(code);
		log.info("AdsMarketTaskInfoUrlCodeGeneratorService save code flag is " + flag);
		log.info("AdsMarketTaskInfoUrlCodeGeneratorService code num is " + code.getCodeNum());
		return code.getCodeNum();
	}
}
