package org.springblade.sms.service;

import org.springblade.useranalysis.entity.AdsTempContactInfo;
import org.springblade.useranalysis.mapper.AdsTempContactInfoMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 临时人群测试表，根据手机号查询测试人员的邮箱
 * 
 * @author William
 * @date 2022年11月11日 上午12:40:37
 */
@Service
@DS("user_analysis_db")
public class AdsTempContactInfoService extends ServiceImpl<AdsTempContactInfoMapper, AdsTempContactInfo> {

	public String getEmail(String phone) {
		LambdaQueryWrapper<AdsTempContactInfo> wrapper = Wrappers.lambdaQuery(AdsTempContactInfo.class)
				.eq(AdsTempContactInfo::getMobile, phone).last("limit 0,1");
		AdsTempContactInfo contact = getOne(wrapper);
		return contact != null ? contact.getEmail() : null;
	}
}
