package org.springblade.useranalysis.activespid;

import java.util.Date;

import org.springblade.core.tool.api.R;
import org.springblade.sms.kafka.PushTaskProducer;
import org.springblade.useranalysis.activespid.common.DateTimeKit;
import org.springblade.useranalysis.activespid.common.DateTimeType;
import org.springblade.useranalysis.activespid.entity.SpidSmsActiveLog;
import org.springblade.useranalysis.activespid.service.SpidSmsActiveLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.ApiOperation;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 
 * @author william
 * @date 2022年9月7日 下午6:23:56
 */
@ApiIgnore
@RestController
@RequestMapping("/active/spid")
public class ActiveSpidController {
	@Autowired
	private SpidSmsActiveLogService spidSmsLogService;

	@Autowired
	private PushTaskProducer pushTaskProducer;

	@GetMapping("/test")
	@ApiOperation(value = "测试促活短信")
	public R<String> test(String[] mobiles) {
		if (mobiles == null || mobiles.length == 0) {
			return R.fail("缺少手机号");
		}
		String spid = "1051";
		for (int i = 0, size = mobiles.length; i < size; i++) {
			String mobile = mobiles[i];
			if (i % 2 != 0) {
				pushTaskProducer.smsSpid(mobile, spid);
			} else {
				Integer firstDay = DateTimeKit.getDateValue(DateTimeType.DAY, DateTimeKit.getPreDay(3));
				SpidSmsActiveLog data = new SpidSmsActiveLog();
				data.setActivityName("芒果合约包产品促活的需求开发");
				data.setApiName("");
				data.setBatchNo(String.valueOf(firstDay));
				data.setCategory("B");
				data.setSendTime(new Date());
				data.setSmsContent("");
				data.setSmsTaskId("");
				data.setSpid(spid);
				data.setSpname("芒果19元产品（含合约）专用");
				data.setTaskPerson("杜伟");
				data.setUserId(mobile);
				spidSmsLogService.save(data);
			}
		}
		return R.success("操作成功");
	}
}
