package org.springblade.useranalysis.activespid.common;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 
 * Desc: 时间类型
 * <p>
 * Modify:
 * <p>
 * Author: William Lynn
 * <p>
 * Create Date：Sep 3, 2021 6:39:30 PM
 *
 */
public enum DateTimeType {

	MONTH(1, "月"), DAY(2, "日"), HOUR(3, "时");

	@EnumValue
	private Integer value;
	private String message;

	private DateTimeType(Integer value, String message) {
		this.value = value;
		this.message = message;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public static DateTimeType reslove(Integer value) {
		DateTimeType[] values = DateTimeType.values();
		for (DateTimeType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}

}
