package org.springblade.useranalysis.activespid.mapper;

import java.util.List;

import org.springblade.useranalysis.activespid.entity.ActiveClient;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 
 * @author william
 * @date 2022年9月7日 下午3:26:57
 */
public interface ActiveClientMapper extends BaseMapper<ActiveClient> {
	
	@Select("SELECT\n"
			+ "	userid\n"
			+ "FROM\n"
			+ "	(\n"
			+ "	SELECT\n"
			+ "		a.userid,\n"
			+ "		b.userid userid2\n"
			+ "	FROM\n"
			+ "		fct_td_order a\n"
			+ "	LEFT JOIN(\n"
			+ "		SELECT\n"
			+ "			userid\n"
			+ "		FROM\n"
			+ "			TD_ACTIVECLIENT_REC_KC\n"
			+ "		WHERE\n"
			+ "			ACTIVETYPE = '1'\n"
			+ "			AND ACTIVEMONTH = '${month}'\n"
			+ "			AND ACTIVEDAY IN ('${firstDay}', '${secondDay}', '${thirdDay}')\n"
			+ "			AND spid = ${spid}\n"
			+ "		GROUP BY\n"
			+ "			userid\n"
			+ "		HAVING\n"
			+ "			sum(flowtotal)>0\n"
			+ ")b ON\n"
			+ "		a.userid = b.userid\n"
			+ "	WHERE\n"
			+ "		a.theday = ${firstDay}\n"
			+ "		AND a.spid = ${spid}\n"
			+ ")\n"
			+ "	WHERE userid2 IS NULL")
	public List<String> getNoFlowUserIdList(@Param("spid") String spid,
			@Param("month") Integer month,
			@Param("firstDay") Integer firstDay,
			@Param("secondDay") Integer secondDay,
			@Param("thirdDay") Integer thirdDay);
}
