/**
 * 
 */
package org.springblade.useranalysis.common.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author wookvn
 * 	
 * 手机伪码加密与解密
 *
 */
public class MobilePseudoCodeUtil {

	final static Map<String, String> digit2StringRelationMap = new HashMap<String, String>();
	final static Map<String, String> string2DigitRelationMap = new HashMap<String, String>();
	final static String codeString = "aCvwHiILel";
	
	static {
		for(int i = 0; i < codeString.length(); i++) {
			digit2StringRelationMap.put(String.valueOf(i), String.valueOf(codeString.charAt(i)));
			string2DigitRelationMap.put(String.valueOf(codeString.charAt(i)), String.valueOf(i));
		}
	}
	
	/**
	 * 加密手机生成伪码
	 * @param mobile
	 * @return
	 */
	public static String encode(String mobile) {
		StringBuilder strBuilder = new StringBuilder();
		for(int i = 1; i < mobile.length(); i++) {
			strBuilder.append(digit2StringRelationMap.get(String.valueOf(mobile.charAt(i))));
		}
		return strBuilder.toString();
	}
	
	/**
	 * 解密伪码为手机号
	 * @param pseudoCode
	 * @return
	 */
	public static String decode(String pseudoCode) {
		StringBuilder strBuilder = new StringBuilder("1");
		for(int i = 0; i < pseudoCode.length(); i++) {
			strBuilder.append(string2DigitRelationMap.get(String.valueOf(pseudoCode.charAt(i))));
		}
		return strBuilder.toString();
	}
}
