/**
 * 
 */
package org.springblade.useranalysis.common.utils;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author wookvn
 *
 */
public class StringKit {
	
	private final static String DEFAULT_REG = "\\{(.*?)\\}";
	
	/**
	 * 
	 * @param content
	 * @param reg
	 * @return
	 */
	public static List<String> parser(String content, String reg) {
        Pattern pattern = Pattern.compile(reg);
        Matcher matcher = pattern.matcher(content);
        List<String> strList = new ArrayList<String>();
        while (matcher.find()) {
            String group = matcher.group();
            strList.add(group.substring(1, group.length() - 1).trim());
        }
        return strList;
	}
	
	/**
	 * 
	 * @param content
	 * @return
	 */
	public static List<String> parser(String content) {
		return parser(content, DEFAULT_REG);
	}
	
	public static void main(String[] args) {
		String st = "测试12,{101_102},{20922_0282}";
		List<String> list = parser(st, "\\{(.*?)\\}");
		list.forEach(System.out::println);
	}
}
