/**
 * 
 */
package org.springblade.useranalysis.controller;

import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.useranalysis.service.normal.AlsRmfResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSONObject;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author wookvn
 *
 */
@RestController
@RequestMapping("/rmf")
@Api(value = "RMF统计相关接口", tags = {"RMF统计接口"})
public class AlsRmfResultController extends BladeController {

	@Autowired
	private AlsRmfResultService alsRmfResultService;
	
	/**
	 * 雷达图统计
	 * @return
	 */
	@PostMapping("/radarStat")
	@ApiOperation(value = "雷达图统计接口", httpMethod = "POST")
	public R<JSONObject> radarStat(){
		return R.data(alsRmfResultService.radarStat());
	}
	
	@PostMapping("/rStat")
	@ApiOperation(value = "R分布图统计接口", httpMethod = "POST")
	public R<JSONObject> rStat(){
		return R.data(alsRmfResultService.frStat("R"));
	}
	
	@PostMapping("/fStat")
	@ApiOperation(value = "F分布图统计接口", httpMethod = "POST")
	public R<JSONObject> fStat(){
		return R.data(alsRmfResultService.frStat("F"));
	}
	
	@PostMapping("/mStat")
	@ApiOperation(value = "M分布图统计接口", httpMethod = "POST")
	public R<JSONObject> mStat(){
		return R.data(alsRmfResultService.mlgStat("M"));
	}
	
	@PostMapping("/lStat")
	@ApiOperation(value = "L分布图统计接口", httpMethod = "POST")
	public R<JSONObject> lStat(){
		return R.data(alsRmfResultService.mlgStat("l"));
	}
	
	@PostMapping("/gStat")
	@ApiOperation(value = "G分布图统计接口", httpMethod = "POST")
	public R<JSONObject> gStat(){
		return R.data(alsRmfResultService.mlgStat("G"));
	}
}
