package org.springblade.useranalysis.entity;


import java.util.Date;

import org.springblade.useranalysis.enums.UserGroupProcessStatus;
import org.springblade.useranalysis.enums.UserGroupUseStatus;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;

import io.swagger.annotations.ApiModel;
import lombok.Data;


@Data
@TableName(value = "ads_userprofile_usergroup" ,autoResultMap = true)
@ApiModel(value = "ads_userprofile_usergroup对象", description = "用户人群")
public class UserGroupEntity {
   //驼峰
    @TableId(value="group_id")
    private String groupId;
    @TableField(condition = SqlCondition.LIKE)
    private String groupName;
    private String creater;
    private String createTime;
    private String reachCount;
    private String isOnline;
    private String rules;
    private String defaultShow;
    /**
	 * 导入的人群ID
	 */
    private String importId;
    //
    @JsonSerialize(nullsUsing = NullSerializer.class)
    private UserGroupProcessStatus processStatus;
    private Date finishTime;
    /**
     * 规则版本号
     */
    private Integer ruleVersion;
    /**
     * 人群画像分析时间JSON数组
     */
    private String analyseDateJson;
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM")
    private Date startAnalyseDate;
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM")
    private Date endAnalyseDate;

	/**
	 * 人群用途(0-默认/1-智能订购页)
	 */

	private Integer groupUse;
	/**
	 * 用途状态(0-待处理/1-处理中/2-已完成/3-处理失败)
	 */
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private UserGroupUseStatus useStatus;
	//更新时间
	private Date updateTime;
}
