package org.springblade.useranalysis.mapper;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springblade.useranalysis.entity.MidCpidUserId;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author Administrator
 *
 */
public interface MidCpidUserIdMapper extends BaseMapper<MidCpidUserId> {
	@Update("truncate table MID_CPID_USERID")
	public void clear();
	
	@Insert("INSERT\r\n"
			+ "	INTO\r\n"
			+ "	MID_CPID_USERID(userid)\r\n"
			+ "SELECT\r\n"
			+ "	DISTINCT userid\r\n"
			+ "FROM\r\n"
			+ "	fct_td_order\r\n"
			+ "WHERE\r\n"
			+ "	theday >= ${thedayStart}\r\n"
			+ "	AND theday <= ${thedayEnd}\r\n"
			+ "	AND cpid = #{cpid}")
	public void findAll(String cpid,int thedayStart,int thedayEnd);
	
	@Update("UPDATE\r\n"
			+ "	MID_CPID_USERID\r\n"
			+ "SET\r\n"
			+ "	IS_OLDUSER = 1\r\n"
			+ "WHERE\r\n"
			+ "	userid IN(\r\n"
			+ "	SELECT\r\n"
			+ "		DISTINCT a.userid\r\n"
			+ "	FROM\r\n"
			+ "		FCT_HIS_ORDERS a\r\n"
			+ "	WHERE\r\n"
			+ "		a.themonth<${themonth}\r\n"
			+ " )")
	public void updateOld(int themonth);
	
	@Select("SELECT COUNT(*) FROM MID_CPID_USERID WHERE IS_OLDUSER = 0")
	public int getNewCount();
	
	@Select("SELECT COUNT(*) FROM MID_CPID_USERID WHERE IS_OLDUSER = 1")
	public int getOldCount();
	
}
