package org.springblade.useranalysis.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.entity.UserGroupEntity;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


public interface UserGroupMapper extends BaseMapper<UserGroupEntity> {

    /**
     *  用户画像 —— 人群列表页
     */

    @Select(" SELECT group_id,group_name,creater,create_time,reach_count,is_online  FROM ads_userprofile_usergroup\n" +
            //"      GROUP BY group_id,group_name,creater,create_time,reach_count,is_online\n" +
            " order by  update_time   desc    LIMIT #{pageno}, #{pagesize}")
    List<JSONObject> listUsergroup(@Param("pageno") Integer pageno, @Param("pagesize") Integer pagesize);


    /**
     * 查询用户人群总数
     */
    @Select("SELECT count(*) FROM ads_userprofile_usergroup")
    Integer countUserGroup();


    /**
     *  根据人群名称进行查询
     */
    @Select(" SELECT group_id,group_name,creater,create_time,reach_count,is_online\n" +
            "          FROM ads_userprofile_usergroup\n" +
            "         WHERE group_name like CONCAT('%',#{group_name},'%')")
    List<JSONObject> searchUsergroup(@Param("group_name") String group_name);


    /**
     *  选择人群分析维度
     */
    @Select("SELECT DISTINCT level_2_name,level_2_id    FROM ads_userprofile_tag WHERE tag_type =1")
    List<JSONObject> analysisDimension();


    /**
     *  选择人群分析维度-备用 分布分析模块用
     */
    @Select("SELECT DISTINCT level_2_name,level_2_id FROM ads_userprofile_analysisdimension")
    List<JSONObject> dimensionDistribute();
}
