/**
 * 
 */
package org.springblade.useranalysis.mapper.clickhouse;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @author wookvn
 *
 */
public interface NewUserTagsMapper {

	@Select("select max(THEMONTH_V) from Z_USER_TAG_FLAT_ALL where USERID_V = #{value}")
	public String getLatestMonth(String userId);
	
	/**
	 * select DISTINCT EVENT_SPNAME_V from Z_USER_TAG_FLAT_ALL where USERID_V = #{value} and EVENT_SPNAME_V != '' and THEMONTH_V >= '202201' and (EVENT_CANCEL_DATE_V >= '2022-01-01' or EVENT_CANCEL_DATE_V = '1970-01-01')
	 * @param userId
	 * @return
	 */
	@Select("select DISTINCT EVENT_SPNAME_V from Z_USER_TAG_FLAT_ALL where USERID_V = #{value} and EVENT_SPNAME_V != ''")
	public List<String> getProductValList(String userId);
	
	@Select({"<script>", 
			"<foreach collection='prodValList' item='prodVal' separator=' union all '>", 
			"select ${sqlFragment} from ads.Z_USER_TAG_FLAT_ALL where USERID_V = #{userId} and EVENT_SPNAME_V = #{prodVal} order by THEMONTH_V desc limit 1",
			"</foreach>", "</script>"})
	public List<JSONObject> getProductDataList(@Param("sqlFragment")String sqlFragment,@Param("userId") String userId, @Param("prodValList") List<String> prodValList);
	
	/**
	 * 参考{@link UserTagsMapper#findTagViewByUserId(String, String)}
	 * @param sql
	 * @param userId
	 * @return
	 */
	@Select("select s1.*, s2.tag_order from (${sql}) s1 left join ads.DIC_USERTAG_ORDER s2 on s1.english_name=s2.tag_name order by s2.tag_order")
	public List<JSONObject> getTagViewByUserId(@Param("sql") String sql, @Param("userId") String userId);
	
	@Select({"select distinct",
			"toString(EVENT_ORDER_DATE_V) as EVENT_ORDER_DATE_V,",
			"if(toString(EVENT_CANCEL_DATE_V) == '1970-01-01', '${endDate}', toString(EVENT_CANCEL_DATE_V)) as EVENT_CANCEL_DATE_V,",
			"EVENT_SPNAME_V from ads.Z_USER_TAG_FLAT_ALL ${ew.customSqlSegment}"})
	public List<JSONObject> getProductDateList(@Param(Constants.WRAPPER) QueryWrapper<?> TagWrapper, @Param("endDate") String endDate);
}
