package org.springblade.useranalysis.service;

import java.util.List;
import java.util.Map;

import org.springblade.useranalysis.entity.AdsUserprofileTag;
import org.springblade.useranalysis.entity.TagColumn;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 *   用户画像—— 用户标签模块
 */

public interface UserProfileService extends IService<AdsUserprofileTag> {
	
	public TagColumn getColumNameExport(String level2Id);

	public TagColumn getColumNameByLevel2Name(String level2Name);
	
    public TagColumn getColumName(String tagId, String tagName);
    /**
     *  首页查询用户标签视图,展开是树形结构
     */
    public JSONObject userTagView();


    /**
     *  根据标签ID进行查询
     */
    public JSONObject searchTagId(String tagId);

    /**
     *  删除用户标签
     */
    public JSONObject deleteUserTag(String tag_id);


    /**
     *  根据标签名称进行查询
     */
    public JSONObject searchUserTag(String tagname,String level_1_id,String level_2_id );

    /**
     *  用户标签列表 分页展示
     */
    public JSONObject listUserTag(IPage<AdsUserprofileTag> userPage, QueryWrapper<AdsUserprofileTag> wrapper);


    /*获取全部标签*/

	public Map<String,List<AdsUserprofileTag>> getAllUserTag();

    /**
     *  用户画像 —— 人群多维分析— 下拉菜单 筛选分析维度
     */
    public JSONObject usergroupAnalysisList();


    /**
     *  用户画像 —— 人群多维分析 —— 填写标签权重值
     */
    public JSONObject usergroupAnalysisTags(String level_2_name, String tag_type);



    /**
     *  用户画像 —— 人群多维分析-选择人群
     */
    public List<JSONObject> distinctGroupname();


    /**
     *  用户画像 —— 人群多维分析-根据人群id查询人群规则
     */
    public JSONObject usergroupRule(String groupId);


    /**
     *  用户画像 —— 人群多维分析-根据分析维度查询包含的标签
     */
    public List<String> analysisTags(String dimension);
    
    /**
     * 获取所有去重后的Tag标签列表
     * @return
     */
    public List<TagColumn> getAllOnlineTagColumn();
    
    /**
     * 获取一级和二级标签
     * @return
     */
    public List<AdsUserprofileTag> getLevel1_2List();
    
    /**
     * 根据条件查询获取
     * @param userprofileTag
     * @return
     */
    public List<TagColumn> getTagColumnList(AdsUserprofileTag userprofileTag);

    /**
     * 查询产品标签对应的标签排序后信息
     * @return
     */
    public List<JSONObject> getProductTagList();
}
