package org.springblade.useranalysis.service.impl;

import java.util.List;

import org.springblade.useranalysis.entity.UserGroupEntity;
import org.springblade.useranalysis.mapper.UserGroupMapper;
import org.springblade.useranalysis.service.UserGroupService;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 用户画像—— 用户人群列表
 */
@Service
@DS("user_analysis_db")
public class UserGroupServiceImpl extends ServiceImpl<UserGroupMapper, UserGroupEntity> implements UserGroupService {

	/**
	 * 用户人群列表 分页展示
	 */
	@Override
	public JSONObject listUsergroup(Integer pageNo, Integer pageSize) {
		int count = baseMapper.countUserGroup();
		Integer paramPageno = (pageNo - 1) * pageSize;
		List<JSONObject> list = baseMapper.listUsergroup(paramPageno, pageSize);
		JSONObject returnResult = new JSONObject();
		returnResult.put("list", list);
		returnResult.put("total", count);
		return returnResult;
	}

	/**
	 * 根据人群名称进行查询
	 */
	@Override
	public JSONObject searchUsergroup(String group_name) {
		List<JSONObject> list = baseMapper.searchUsergroup(group_name);
		JSONObject returnResult = new JSONObject();
		returnResult.put("list", list);
		return returnResult;
	}

	/**
	 * 选择人群分析维度
	 */
	@Override
	public List<JSONObject> analysisDimension() {
		List<JSONObject> list = baseMapper.analysisDimension();
		list.removeIf(f -> f.getString("level_2_name").equals("未订购产品"));
		return list;
	}

	/**
	 * 选择人群分析维度-备用 分布分析模块用
	 */
	@Override
	public List<JSONObject> dimensionDistribute() {
		List<JSONObject> list = baseMapper.dimensionDistribute();
		return list;
	}

}
