/**
 *
 */
package org.springblade.useranalysis.service.normal;

import org.springblade.useranalysis.mapper.clickhouse.UserGroupUserIdMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
@Service
@DS("clickhouse")
public class UserGroupUserIdService {

	@Autowired
	private UserGroupUserIdMapper userGroupUserIdMapper;

	public long countByGroupId(String groupId) {
		return userGroupUserIdMapper.countByGroupId(groupId);
	}

	public void insertData(String groupId, QueryWrapper<?> queryWrapper) {
		userGroupUserIdMapper.insertData(groupId, queryWrapper);
	}

	public void insertDataWithImport(String groupId, String importId, QueryWrapper<?> queryWrapper) {
		queryWrapper.eq("ep.id", importId);
		userGroupUserIdMapper.insertDataWithImport(groupId, queryWrapper);
	}

	public void deleteByGroupId(String groupId) {
		userGroupUserIdMapper.deleteByGroupId(groupId);
	}

	public long testDataCount(QueryWrapper<?> queryWrapper) {
		return userGroupUserIdMapper.testDataCount(queryWrapper);
	}

	public List<String> selectByGroupId(String groupId, String userId, Integer offset){
		return userGroupUserIdMapper.selectByGroupId(groupId,userId,offset);
	}

}
